#include "main.h"
#include "bullet.h"
#include "draw.h"
#include "hook.h"
#include "input.h"
#include "level.h"
#include "player.h"

static int running = 1;
static int timer = 0;
static void init(void);
static void update(void);
static void draw(void);

int
main(void)
{
	init();

	while (running) {
		update();
		draw();

		if (input_pressed(K_EXIT)) {
			running = 0;
		}
	}
	return 1;
}

static void
init(void)
{
	input_init();
	level_init();
	bullet_table_init();
}

static void
update(void)
{
	input_step();
	player_update();
	bullet_table_update();

	++timer;
}

static void
draw(void)
{
	dclear(C_BLACK);
	level_draw();
	player_draw(timer);
	bullet_table_draw(timer);
	dupdate();
}
